Create a webhook

View as Markdown

Creates a webhook that triggers a collection with a custom payload. You can get the webhook’s URL from the webhookUrl property in the endpoint’s response.

Note:

If you do not include the workspace query parameter, the system creates the webhook in the oldest personal Internal workspace you own.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspacestringRequired
The workspace's ID.

Request

This endpoint expects an object.
webhookobjectOptional

Response

Successful Response
webhookobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error